
Foreman - Bug #2030

Build PXE Default fails with "failed to process template: undefined method `each' for nil:NilClass"

12/10/2012 10:36 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Templates   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Turning off safemode_render and clicking "Build PXE Default" under Provisioning Templates results in the following error:

failed to process template: undefined method `each' for nil:NilClass

 Seen on 1.0 and develop.

Associated revisions

Revision 0f7cd323 - 12/12/2012 03:40 AM - Dominic Cleal

fixes #2030 - define instance variables during ERB evaluation when not using safemode

Thanks to Paavo Pokkinen <paavo.pokkinen@faarao.fi>

History

#1 - 12/10/2012 11:13 AM - Dominic Cleal

- Target version set to 1.1

https://github.com/theforeman/foreman/pull/293

#2 - 12/12/2012 05:18 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 0f7cd323207b0d70939c793b537998a31cfcc41a.
